Section ID:
DOC-API-MODEL-schema-1hc73qpaio#overview
SelectiveExclusionConfig
Configuration for selective exclusion
Meaning and usage
Section ID: DOC-API-MODEL-schema-1hc73qpaio#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1hc73qpaio#fields
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
Section ID: DOC-API-MODEL-schema-1hc73qpaio#request
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1hc73qpaio#request-field-excludetoolresultsexcludeToolResults | boolean | Optional | Whether tool-result content is excluded from model context. |
Section ID: DOC-API-MODEL-schema-1hc73qpaio#request-field-excludeimagesexcludeImages | boolean | Optional | Whether image content is excluded from model context. |
Section ID: DOC-API-MODEL-schema-1hc73qpaio#request-field-excludefilesexcludeFiles | boolean | Optional | Whether file content is excluded from model context. |
Section ID: DOC-API-MODEL-schema-1hc73qpaio#request-field-excludereasoningexcludeReasoning | boolean | Optional | When true, reasoning/thinking content parts are excluded from context |
In responses
Section ID: DOC-API-MODEL-schema-1hc73qpaio#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1hc73qpaio#field-excludetoolresultsSection ID: DOC-API-MODEL-schema-1hc73qpaio#response-field-excludetoolresultsexcludeToolResults | boolean | Optional | Whether tool-result content is excluded from model context. |
Section ID: DOC-API-MODEL-schema-1hc73qpaio#field-excludeimagesSection ID: DOC-API-MODEL-schema-1hc73qpaio#response-field-excludeimagesexcludeImages | boolean | Optional | Whether image content is excluded from model context. |
Section ID: DOC-API-MODEL-schema-1hc73qpaio#field-excludefilesSection ID: DOC-API-MODEL-schema-1hc73qpaio#response-field-excludefilesexcludeFiles | boolean | Optional | Whether file content is excluded from model context. |
Section ID: DOC-API-MODEL-schema-1hc73qpaio#field-excludereasoningSection ID: DOC-API-MODEL-schema-1hc73qpaio#response-field-excludereasoningexcludeReasoning | boolean | Optional | When true, reasoning/thinking content parts are excluded from context |
Where used
Section ID: DOC-API-MODEL-schema-1hc73qpaio#where-used
| Reference | Relationship |
|---|---|
| Get full conversation state | POST /api/v1/llm/conversation-state |
| Update context management settings | POST /api/v1/llm/update-context-management-settings |
| Create a new conversation thread | POST /api/v1/llm/create-thread |
Models containing this value
| Model | Relationship |
|---|---|
| ContextManagementSettings | Nested in model |
| ContextManagementSettings | Nested in model |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1hc73qpaio